<?php
session_start();
require_once ("../conexion.php");
require_once('../include/sesiones.php');

$cot_id=$_GET['id']; 


 $sqlt=mysqli_query($con,"SELECT * FROM cotizacion where cot_id='$cot_id' and cot_tipo='PEDIDO' and empresa='$empresa' ")or die(mysqli_error($con));
  $regt=mysqli_fetch_array($sqlt);
    $cot_n_cotizacion=$regt['cot_n_cotizacion'];
    $cot_estado=$regt['cot_estado'];
    $cot_estado_pedido=$regt['cot_estado_pedido'];
    $cot_telefono=$regt['cot_telefono'];
?>                
<div class="checkout_form" id="div1">
    <div class="alert alert-info alert-dismissable">
        <strong>ACTUALIZAR ESTADO DEL PEDIDO</strong>  <strong><?php echo $cot_n_cotizacion ?></strong> <a href="#" class="alert-link"></a>
    </div>
    <?php if ($cot_estado_pedido=='no confirmado') { ?>
        <a  title='Actualizar Pedido' onclick="confirmado('<?php echo $cot_id;?>'); cambiar1();">
            <div class="contenedor_img1"> <img class="categorias1" src="./img/pedido_online/no_confirmado.png"> </div>
        </a>
    <?php } elseif ($cot_estado_pedido=='confirmado') { ?>
         <a  title='Actualizar Pedido' onclick="procesando('<?php echo $cot_id;?>'); cambiar1();">
            <div class="contenedor_img1"> <img class="categorias1" src="./img/pedido_online/confirmado.png"> </div>
        </a>
   <?php } elseif ($cot_estado_pedido=='procesando') { ?>
         <a  title='Actualizar Pedido' onclick="enviado('<?php echo $cot_id;?>'); cambiar1();">
            <div class="contenedor_img1"> <img class="categorias1" src="./img/pedido_online/procesando.png"> </div>
        </a>
   <?php } elseif ($cot_estado_pedido=='enviado') { ?>
         <a title='Actualizar Pedido' onclick="entregado('<?php echo $cot_id;?>'); cambiar1();">
            <div class="contenedor_img1"> <img class="categorias1" src="./img/pedido_online/enviado.png"> </div>
        </a>
   <?php } elseif ($cot_estado_pedido=='entregado') { ?>
         <a title='Actualizar Pedido' onclick="actualizar('<?php echo $cot_id;?>'); cambiar1();">
            <div class="contenedor_img1"> <img class="categorias1" src="./img/pedido_online/entregado.png"> </div>
        </a>
   <?php } ?>


    </br>
    <input type="hidden" id="cot_id" name="cot_id" value="<?php echo $cot_id;?>" >
</div>

<div id="div2" style="display:none;">
   <div id='resultados_estado'></div>
    <a href="./V_cotizaciones_online.php"><button type="button" class="btn btn-danger" data-bs-dismiss="modal">Cerrar</button></a>
</div>

<script>

function cambiar1()
{
    $('#div1').hide();
    $('#div2').show();
}


function confirmado(cot_id)
{
    var campo = 'confirmado';
    var dataString = 'cot_id=' + cot_id + '&campo=' + campo;
    $.ajax({
        type: "POST",
        url: "php_cotizaciones_online/estado.php",
        data: dataString,
        beforeSend: function(objeto){
             $('#tabla').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
        },
       success: function(datos){
         $("#resultados_estado").html(datos);
        //loadtotal();
        }
    });
}

function procesando(cot_id)
{
    var campo = 'procesando';
    var dataString = 'cot_id=' + cot_id + '&campo=' + campo;
    $.ajax({
        type: "POST",
        url: "php_cotizaciones_online/estado.php",
        data: dataString,
        beforeSend: function(objeto){
             $('#tabla').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
        },
        success: function(datos){
         $("#resultados_estado").html(datos);
        //loadtotal();
        }
    });
}

function enviado(cot_id)
{
    var campo = 'enviado';
    var dataString = 'cot_id=' + cot_id + '&campo=' + campo;
    $.ajax({
        type: "POST",
        url: "php_cotizaciones_online/estado.php",
        data: dataString,
        beforeSend: function(objeto){
             $('#tabla').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
        },
       success: function(datos){
         $("#resultados_estado").html(datos);
        //loadtotal();
        }
    });
}

function entregado(cot_id)
{
    var campo = 'entregado';
    var dataString = 'cot_id=' + cot_id + '&campo=' + campo;
    $.ajax({
        type: "POST",
        url: "php_cotizaciones_online/estado.php",
        data: dataString,
        beforeSend: function(objeto){
             $('#tabla').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
        },
        success: function(datos){
         $("#resultados_estado").html(datos);
        //loadtotal();
        }
    });
}
</script>

<style type="text/css">
/*Supongamos que nuestro contenedor mide 150px x 150px*/
.contenedor_img1{
    padding-top: 15px;
    background-color: white;
    width:150;
    height:150px;
}
/*Aplicamos la propiedad object-fit cover, ajustar su tamaño y no perder la proporcion de nuestra imagen*/
.categorias1{
    object-fit: scale-down;
    width:100%;
    height:100%;
}

</style>

